#!/bin/bash

############################
# scribe.sh
# instructions spécifiques au module Scribe
############################

# Appel Bibliothèque
. /usr/bin/ParseDico

/etc/init.d/nscd stop &>/dev/null

if [ -e /var/lib/ldap/cn.bdb ]
then
        echo ""
        echo "Voulez vous re-générer l'annuaire LDAP ? (oui/non)"
        echo "Attention, cela detruira l'existant !"
        echo -n "[non] : "
        read Rep
else
        Rep="oui"
fi

echo -e "\n## Gestion du mot de passe LDAP ##"
/usr/share/eole/backend/ldap_pwd.py `/usr/bin/pwgen -1` > /dev/null

echo -e "\n## Gestion du SID ##"

/usr/share/eole/set_sid.sh

# génération du .reg pour le type de controle VNC pour 9x
/usr/share/ead/gen-vncpasswd.py

if [ "$Rep" == "oui" -o "$Rep" == "Oui" -o "$Rep" == "o" -o "$Rep" == "O" ]
then
        echo -e "\n## Initialisation de l'annuaire ##"
        /usr/share/eole/gen_ldap.sh > /dev/null
        # ajout utilisateur admin
        /usr/share/eole/backend/creation-prof.py -u admin -m admin -p admin -f admin -M 'local' -z 1 -G DomainAdmins,PrintOperators -q 0 -x 1
        ln -nsf $home_path/esu /home/a/admin/perso/esu
        ln -nsf $home_path/alias /home/a/admin/perso/alias
	ln -nsf $home_path/client_scribe/client /home/a/admin/perso/client
        res=1
	echo ""
        echo "#######################################################"
        echo "# Changement du mot de passe de l'utilisateur \"admin\" #"
        echo "#######################################################"
        while [ "$res" -ne 0 ]
        do
                /usr/sbin/smbldap-passwd admin
                res=$?
        done

else
        ## synchronisation du fichier smb.conf (incluse dans gen_ldap.sh)
        /usr/share/eole/backend/synchro_file.py norestart
fi
# ajout/vérification de l'utilisateur reader
/usr/share/eole/backend/gen_reader.py >/dev/null

echo
# Génération des bases de données
/usr/share/eole/gen_databases.py
echo
# Mise à jour des bases de données
/usr/share/eole/update_databases.py
echo

mv /tmp/robot.conf /etc/sympa/i-$domaine_messagerie_etab/
chmod a+r /etc/sympa/cookie
# correctif bug 577
if ! [ -L /etc/mail/sympa.aliases ]
then
        cat /etc/mail/sympa.aliases >> /etc/mail/sympa_aliases
        rm -f /etc/mail/sympa.aliases
        ln -s /etc/mail/sympa_aliases /etc/mail/sympa.aliases
fi

# redirection des mails root -> admin
grep -q admin /etc/aliases
if [ $? -ne 0 ];then
	echo "root:admin@$domaine_messagerie_etab" >> /etc/aliases
fi

# Esu
/bin/cp -f /home/esu/Console/Install/* /home/esu/Base/
/bin/cp -f /home/esu/Console/radmin32.dll /home/esu/Console/rlocal32.dll /home/esu/Base/

## FIXME ##
sed -i".bak" '/www-data/d' /etc/at.deny

# manage-scribe (edgy -> .bash_profile)
# Utiliser manage_$module comme shell
usermod -s /usr/share/eole/manage-scribe.sh scribe
# www-data sans shell
usermod -s /bin/false www-data

# Bacula
[ ! -e /etc/bacula/eoleschedule.conf ] && touch /etc/bacula/eoleschedule.conf
[ ! -e /etc/bacula/eoleschedulerestreint.conf ] && touch /etc/bacula/eoleschedulerestreint.conf
[ ! -e /etc/bacula/eolemessages.conf ] && touch /etc/bacula/eolemessages.conf
[ ! -e /etc/bacula/typesupport.conf ] && /usr/share/eole/bacula/baculasupport.py -s distant 1>/dev/null
[ ! -e /etc/bacula/listefichiersperso.conf ] && touch /etc/bacula/listefichiersperso.conf
[ ! -e /etc/bacula/listefichiersexperso.conf ] && touch /etc/bacula/listefichiersexperso.conf
[ ! -e /etc/bacula/listefichiersacad.conf ] && touch /etc/bacula/listefichiersacad.conf
[ ! -e /etc/bacula/listefichiersexacad.conf ] && touch /etc/bacula/listefichiersexacad.conf

# si Cups est desactivé
touch /etc/printcap

/etc/init.d/nscd start &>/dev/null
